Subject: Re: 2.6.23-rc6-mm1 -- powerpc link failure

From: Sam Ravnborg <[email-masked]>
Date: Wed, 19 Sep 2007 19:44:03 +0200

On Wed, Sep 19, 2007 at 10:28:48AM +0100, Andy Whitcroft wrote:
> I am seeing this strange link error from a PowerMac G5 (powerpc):
> 
>   [...]
>     KSYM    .tmp_kallsyms2.S
>     AS      .tmp_kallsyms2.o
>     LD      vmlinux.o
>   ld: dynreloc miscount for fs/built-in.o, section .opd
>   ld: can not edit opd Bad value
>   make: *** [vmlinux.o] Error 1

We have had this issue before.
Try to see:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=045e72acf16054c4ed2760e9a8edb19a08053af1

Here it was caused by a weak declaration that was superflous.

I expect the workaround to be equally simple this time - or I hope so.

	Sam